import java.util.*;

public class AlgExaminer{
    private double tol=0;
	private int evaluations=0;
	private int gradient=0;
	private int hessian=0;
    private int maxiter=0;
	private ArrayList points = new ArrayList();
	
    public double getTol(){
        return tol;
    }
    
    public int getMaxiter(){
        return maxiter;
    }
    
    public void setTol(double aTol){
        tol=aTol;
    }
    
    public void setMaxiter(int aMaxiter){
        maxiter=aMaxiter;
    }
    
	public int getEval(){
		return evaluations;
	}
	
	public int getGrad(){
		return gradient;
	}
	
	public int getHess(){
		return hessian;
	}
	
	public void addEval(){
		evaluations++;
	}
	
	
	public void addGrad(){
		gradient++;
	}
	
	public void addHess(){
		hessian++;
	}
	
	public void reset(){
        evaluations=0;
	    gradient=0;
        hessian=0;
        points = new ArrayList();
    }
    
    public int addPoint(double x, double y, double z){
		points.add(new Point(x,y,z));
        return points.size();
	}
    
    public double[] getPoint(int index)
    {
        return ((Point) points.get(index)).getArray();
    }
    
    public int length()
    {
        return points.size();
    }
	
	public String toString(){
	    Iterator i = points.iterator();
		String result;
		result = "Valutazioni: "+evaluations+
		         "\nGradienti: "+gradient+
                 "\nHessiane: "+hessian+
		         "\n\nPunti:";
		while(i.hasNext())
		    {
			result=result+"\t"+i.next()+"\n";
            }
        return result;
	}
	
	private class Point{
		private double[] value;
		
		public Point(double x,double y,double z){
			value = new double[3];
			value[0]=x;
			value[1]=y;
            value[2]=z;
		}
        
        public double[] getArray()
        {
            double[] result={getX(),getY(),getZ()};
            return result;
        }

	    public String toString()
	    {
		return getX()+" "+getY()+" "+getZ();
	    }
		
		public double getX(){
			return value[0];
		}
		
		public double getY(){
			return value[1];
		}
        
        public double getZ(){
			return value[2];
		}
	}
}