function [x,n] = corde(fun,dfx,x,tolx,maxiter)

%function [x,n] = corde(fun,dfx,x,tolx,maxiter)
%
%cerca uno zero della funzione 'f' col metodo di Newton 
%fun e' la stringa della funzione
%dfx e' il valore della derivata nel punto di partenza
%x e' il punto di partenza del metodo
%tolx e' il valore della tolleranza della variabile indipendente (>0)
%maxiter e' il numero massimo di iterazioni consentite
%
%I valori di ritorno:
%x valore dello zero della funzione
%n numero di iterazioni eseguite
%
%ESEMPIO: corde('sin(x)',cos(1),1,eps*10^2,100)

if tolx <= 0
    error('tolx deve avere un valore positivo')
end

f=inline(fun);
n=0;

fx=f(x);
toly=abs(tolx*dfx);

while n<maxiter && abs(fx)>toly
  x=x-fx/dfx;
  fx=f(x);
  n=n+1;
end