function [A] = ldlt_fact (A)
%[A] = ldlt_fact (A)
%Restituisce una matrice LDL^T che contiene i valori significativi
%della fattorizzazione di A
%
%se 

n = issquare(A);

if n < 1
    error('Matrice A non quadrata')
end

if(A(1,1)<=0)
    A=zeros(n);
    return;
end
A(2:n,1)=A(2:n,1)/A(1,1);

for j=2:n
    if(A(j,j)<=0)
            A=zeros(n);
            return;
    end
    %prodotto riga j-esima dal primo elemento al (j-1)-esimo
    %per la diagonale dal primo elemento al (j-1)-esimo
    v=A(j,1:j-1)'.*diag(A(1:j-1,1:j-1));
    %calcolo l'elemento diagonale a_jj
    A(j,j)=A(j,j)-A(j,1:j-1)*v;
    A(j+1:n,j)=(A(j+1:n,j)-A(j+1:n,1:j-1)*v)/A(j,j);
end

if(A(n,n)<=0)
    A=zeros(n);
    return;
end

return;