function [x,A] = ldlt_fact_sys(A,b)
%function [x] = ldlt_fact_sys(A,b)
%risolve il sistema A*x=b nel caso che A sia
%fattorizzabile ldlt
n = size(A);
A=ldlt_fact(A);
if(all(A==0))
    x=zeros(n(1),1);
    return;
end
x=ltri_ones_sys(A,b);
x=diag_sys(diag(A),x);

%eseguiamo qui una versione ottimizzata di utri_sys():
%risolve il sistema L'x=z senza eseguire la trasposizione

if(n ~= length(x))
     error('Le dimensioni del vettore x e della matrice A non corrispondono')
end

for i = n:-1:1
    for j = i+1:n
        x(i)=x(i)-A(j,i)*x(j);
    end
    %abbiamo eliminato la divisione per 1
end
return