%[x] = ltri_sys(A, b)
%restituisce il vettore colonna delle soluzioni del sistema lineare
%individuato dalla matrice triangolare inferiore A e dal vettore colonna dei coefficienti b
function [x] = ltri_sys(A, b)

n = issquare(A);

if(n == 0)
     error('La matrice A deve essere una matrice quadrata!')
end

if(n ~= length(b))
     error('Le dimensioni del vettore b e della matrice A non corrispondono')
end

x = b;
for j = 1:n
    x(j)=x(j)/A(j,j);
    for i = j+1:n
        x(i)=x(i)-A(i,j)*x(j);
    end
end
return
