function [t1,t2]=test_matmat(m,n,p,ntest)
% Questa funzione esegue un test della funzione matvec
% in questo modo:
% -Genera casualmente la matrice A di dimensione m per n
% -Genera casualmente il vettore x di dim n
% -Esegue ntest volte i due prodotti ottimizzati per righe e per
%  colonne misurando i tempi di esecuzione
% -Calcola la media delle prove
% -Grafica i risultati

A=rand(m,n);
B=rand(n,p);
matmat(A,B,'c');

for i=1:ntest
    A=rand(m,n);
    B=rand(n,p);

    t=cputime;
    matmat(A,B,'c');
    y1(i)=cputime-t;

    t=cputime;
    matmat(A,B,'r');
    y2(i)=cputime-t;
end
t1=mean(y1);
t2=mean(y2);

clf
hold on
plot(1:ntest,y1,'g')
plot(1:ntest,y2,'r')
plot([1 ntest],[t1 t1])
plot([1 ntest],[t2 t2])
legend('Colonne','Righe')