function [t1,t2]=test_matvec(m,n,ntest)
% Questa funzione esegue un test della funzione matvec
% in questo modo:
% -Genera casualmente la matrice A di dimensione m per n
% -Genera casualmente il vettore x di dim n
% -Esegue ntest volte i due prodotti ottimizzati per righe e per
%  colonne misurando i tempi di esecuzione
% -Calcola la media delle prove
% -Grafica i risultati

A=rand(m,n);
x=rand(n,1);
matvec(A,x,'c');

for i=1:ntest
    i
    
    t=cputime;
    matvec(A,x,'c');
    y1(i)=cputime-t;

    t=cputime;
    matvec(A,x,'r');
    y2(i)=cputime-t;
end
t1=mean(y1);
t2=mean(y2);

clf
hold on
plot(1:ntest,y1,'g')
plot(1:ntest,y2,'r')
plot([1 ntest],[t1 t1])
plot([1 ntest],[t2 t2])