%GKLS2MATLAB 
%
%res = gkls2matlab( dim, num_minima, global_value, global_dist, 
%                   global_radius, action, test_number 
%                   [, target_points [, der_var1 [, der_var2]]])
%   
%
% L'interfaccia di ingresso della funzione e' composta da un primo
% gruppo di parametri fisso che specifica il problema di test, e
% da un secondo gruppo di parametri variabile che indica
% l'operazione da eseguire ed i relativi dati. 
% Accanto ad ogni parametro viene specificata la dimensione
% della matrice che deve essere fornita alla funzione. 
%
% Parametri di ingresso:
%
% - dim (1x1) dimensione del problema, deve essere dim >= 2;
%
% - num minima (1x1) numero di minimi locali, compresi quello 
%   globale e il minimo del parabolide; 
%
% - global value (1x1) valore desiderato della funzione nel 
%   punto di minimo globale; 
%
% - global dist (1x1) distanza desiderata tra il punto di minimo 
%   globale ed il punto corrispondente al vertice del parabolide; 
%
% - global radius (1x1) raggio di attrazione del punto di 
%   minimo globale; 
%
% - action (mxArray 1x1) operazione da svolgere, da scegliere tra: 
%      'info'        ottenere le informazioni sui punti di minimo; 
%      'ND func'     valutare i target points nella funzione non
%                    derivabile; 
%      'D func'      valutare i target points nella funzione
%                    derivabile; 
%      'D2 func'     valutare i target points nella funzione
%                    derivabile due volte; 
%      'D deriv'     valutare i target points nella derivata;
%      'D2 deriv1'   valutare i target points nella derivata prima
%                    della funzione derivabile due volte; 
%      'D2 deriv2'   valutare i target points nella derivata
%                    seconda della funzione derivabile due volte; 
%      'D gradient'  ottenere il vettore gradiente della funzione
%                    derivabile, calcolato nel punto target points; 
%      'D2 gradient' ottenere il vettore gradiente della funzione
%                    derivabile due volte, calcolato nel punto
%                    target points; 
%      'D2 hessian'  ottenere la matrice hessiana della funzione
%                    derivabile due volte, calcolata nel punto
%                    target points; 
%
% - test number (1x1) valore tra 1 e 100 per scegliere il test; 
%
% - target points (dim x n) array di n punti in cui valutare la 
%   funzione, ogni punto deve occupare una riga; 
%
% - der_var1 (1x1) indice della variabile secondo cui si deve 
%   effettuare la prima derivata parziale;
%
% - der var2 (1x1) indice della variabile secondo cui si deve 
%   effettuare la seconda derivata parziale;