function prob = DFP (prob)
% Davidon-Fletcher-Powell

tol=getTol(prob);
tol2=tol^2;
maxiter=getMaxiter(prob);

x=getStart(prob); %Prendo il punto iniziale

gx=getGrad(prob,x);% calcolo il gradiente nel punto

dim=length(x);
d=-gx;

n=0;
while n<maxiter && gx'*gx>tol2
    res=armijo(prob,x,d,gx);
    p=res{1}-x;
    x=res{1};
    nextPoint(prob,x);
    oldg=gx;
    gx=getGrad(prob,x);
    q=gx-oldg;
    if mod(n,3)==0
        H=eye(dim);
    else
        Hq=H*q;
        H=H+p*p'/(p'*q)-Hq*Hq'/(q'*Hq);
    end
    d=-H*gx;
    n=n+1;
end