function res = armijo(p,x,d,gx)
%function res = armijo(p,x,d,gx)
%
% Funzione per la minimizzazione line search con il metodo Armijo
%
% res e' un cell array della forma {a,b} dove a e' il punto
% trovato, e b=f(a)

epsilon=.5;
eta=2;
alpha=0.1;

phi0=getValue(p,x);
epsilondphi0=d'*gx*epsilon;
xalpha=x+alpha*d;
phiAlpha=getValue(p,xalpha);

while phiAlpha <= phi0+epsilondphi0*alpha;
    res={xalpha, phiAlpha};
    alpha=eta*alpha;
    xalpha=x+alpha*d;
    phiAlpha=getValue(p,xalpha);
end

while phiAlpha > phi0+epsilondphi0*alpha;
    alpha=alpha/eta;
    xalpha=x+alpha*d;
    phiAlpha=getValue(p,xalpha);
    res={xalpha, phiAlpha};
end